> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getyardo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an optional attachment for a kiosk help request



## OpenAPI

````yaml /generated/api-reference/openapi.json post /checkin/kiosk/help-photo
openapi: 3.0.0
info:
  title: Yardo Public API
  description: >-
    Public and partner-facing Yardo API surface for carrier portal and driver
    check-in flows.
  version: 0.1.0
  contact: {}
servers: []
security: []
tags:
  - name: Carrier Portal
  - name: Public Check-In
paths:
  /checkin/kiosk/help-photo:
    post:
      tags:
        - Public Check-In
      summary: Upload an optional attachment for a kiosk help request
      operationId: CheckinPublicController_kioskHelpPhoto
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                locationId:
                  type: string
                  format: uuid
                kioskSessionId:
                  type: string
                file:
                  type: string
                  format: binary
              required:
                - locationId
                - kioskSessionId
                - file
      responses:
        '200':
          description: ''

````